Subject: Re: bug#58912: 29.0.50; set-face-attribute call in init.el has no lasting effect

From: Po Lu <[email-masked]>
Date: Mon, 31 Oct 2022 21:57:43 +0800

Eli Zaretskii <[email-masked]> writes:

>> Date: Mon, 31 Oct 2022 02:44:24 +0200
>> From: Dmitry Gutov <[email-masked]>
>> 
>> 1. Have a line in init.el like
>> 
>> (set-face-attribute 'default nil :height 110 :weight 'semi-light :family
>> "Cascadia Mono")
>> 
>> 2. Start Emacs. See the graphical frame get resized briefly during 
>> startup, but then go back to the default monospaced system font (Ubuntu 
>> Mono in my case), with the default font size.
>
> I cannot reproduce this.  The settings in the init file, both the font
> family and its size, get reflected in the default face's font for me.
> But I'm not on an X/GTK-based system, so I suspect something like
> xsettings or gsettings or somesuch are responsible for the resetting
> of the default face's font.  Perhaps Po Lu could help.

Thanks.  Dimitry, do you have font-use-system-font set to any non-nil
value?  If so, the font will be changed back upon startup, in order to
reflect the system font.